پروژې
GET https://uptimer24.com/api/projects/
curl --request GET \
--url 'https://uptimer24.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| پیرامیټرونه | تفصیلات | تفصیل |
|---|---|---|
| search | اختیاري سټرينګ | د لټون تار. |
| search_by | اختیاري سټرينګ | تاسو د کومې برخې له مخې لټون کوئ. اجازه ورکړل شوي ارزښتونه دي: name. |
| datetime_field | اختیاري سټرينګ | اجازه ورکړل شوي ارزښتونه: datetime, last_datetime |
| datetime_start | اختیاري سټرينګ | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاري سټرينګ | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاري سټرينګ | کومه برخه چې د پایلو د ترتیب لپاره وټاکل شي. اجازه ورکړل شوي ارزښتونه دي: project_id, datetime, last_datetime, name. |
| order_type | اختیاري سټرينګ | د پایلو ترتیب. اجازه ورکړل شوي ارزښتونه دي: ASC د پورته ترتیب لپاره، او DESC د ښکته ترتیب لپاره. |
| page | اختیاري عدد صحیح | هغه د پاڼې شمېره چې تاسو یې پایلې غواړئ. په ډیفالټ کې 1 دی. |
| results_per_page | اختیاري عدد صحیح | تاسو په هره پاڼه کې څو پایلې غواړئ. اجازه ورکړل شوي ارزښتونه دي: 10, 25, 50, 100, 250, 500, 1000. په ډیفالټ ډول 25 ته ټاکل شوی. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-19 04:03:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/projects?page=1",
"last": "https://uptimer24.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/projects?page=1"
}
}
GET https://uptimer24.com/api/projects/{project_id}
curl --request GET \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-19 04:03:13",
}
}
POST https://uptimer24.com/api/projects
| پیرامیټرونه | تفصیلات | تفصیل |
|---|---|---|
| name | ضروري سټرينګ | - |
| color | اختیاري سټرينګ | - |
curl --request POST \
--url 'https://uptimer24.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://uptimer24.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://uptimer24.com/api/projects/{project_id}
| پیرامیټرونه | تفصیلات | تفصیل |
|---|---|---|
| name | اختیاري سټرينګ | - |
| color | اختیاري سټرينګ | - |
curl --request POST \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \